PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
crm_verify [<options>]

DESCRIPTION
Check a Pacemaker configuration for errors

Check the well-formedness of a complete Pacemaker XML configuration, its conformance to the configured schema, and the presence of common misconfigurations. Problems reported as errors must be fixed before the cluster will work properly. It is left to the administrator to decide whether to fix problems reported as warnings.

OPTIONS

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-output
    Show output help

--help-data
    Show data options

--help-additional
    Show additional options

  Output Options:

--output-as=FORMAT
    Specify output format as one of: text (default), xml

--output-to=DEST
    Specify file name for output (or "-" for stdout)

  Data sources:

-L, --live-check
    Check the configuration used by the running cluster

-x, --xml-file=FILE
    Check the configuration in the named file

-p, --xml-pipe
    Check the configuration piped in via stdin

-X, --xml-text=XML
    Check the configuration in the supplied string

  Additional options:

-S, --save-xml=FILE
    Save verified XML to named file (most useful with -L)

  Application Options:

-$, --version
    Display software version and exit

-V, --verbose
    Increase debug output (may be specified multiple times)

-q, --quiet
    Don't print verify information

EXAMPLES
Check the consistency of the configuration in the running cluster:

    crm_verify --live-check

Check the consistency of the configuration in a given file and produce quiet output:

    crm_verify --xml-file file.xml --quiet

Check the consistency of the configuration in a given file and produce verbose output:

    crm_verify --xml-file file.xml --verbose

AUTHOR
Written by Andrew Beekhof and the Pacemaker project contributors